'use strict';

var _extends = require('@babel/runtime/helpers/extends');
var React = require('react');

function _interopDefault (e) { return e && e.__esModule ? e : { default: e }; }

function _interopNamespace(e) {
  if (e && e.__esModule) return e;
  var n = Object.create(null);
  if (e) {
    Object.keys(e).forEach(function (k) {
      if (k !== 'default') {
        var d = Object.getOwnPropertyDescriptor(e, k);
        Object.defineProperty(n, k, d.get ? d : {
          enumerable: true,
          get: function () { return e[k]; }
        });
      }
    });
  }
  n.default = e;
  return Object.freeze(n);
}

var _extends__default = /*#__PURE__*/_interopDefault(_extends);
var React__namespace = /*#__PURE__*/_interopNamespace(React);

var SvgCustomCardIcon = function SvgCustomCardIcon(props) {
  return /*#__PURE__*/React__namespace.createElement("svg", _extends__default.default({
    xmlns: "http://www.w3.org/2000/svg",
    width: 40,
    height: 32
  }, props), /*#__PURE__*/React__namespace.createElement("g", {
    fill: "none",
    fillRule: "evenodd"
  }, /*#__PURE__*/React__namespace.createElement("path", {
    stroke: "#2160F8",
    d: "M.5.5h39v31H.5z"
  }), /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#D8D8D8",
    d: "M25 5h11v3H25zm0 6h11v3H25zm0 12h11v3H25zm0-6h11v3H25z"
  }), /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#0F62FE",
    d: "m18.415 19.585-2.915-2.92V14.5a.5.5 0 0 0-.145-.355l-5-5a.5.5 0 0 0-.71 0l-4.5 4.5a.5.5 0 0 0 0 .71l5 5a.5.5 0 0 0 .355.145h2.17l2.915 2.92a2.001 2.001 0 0 0 2.83-2.83zM7 13.205l1.145 1.15.71-.71-1.15-1.145.795-.795 2.145 2.15.71-.71L9.205 11l.795-.795 3.295 3.295L9.5 17.295 6.205 14zm10.705 8.5a1 1 0 0 1-1.41 0l-3.065-3.06a.9.9 0 0 0-.355-.145h-2.17l-.5-.5L14 14.205l.5.5v2.17a.5.5 0 0 0 .145.35l3.06 3.07a1 1 0 0 1 0 1.41"
  })));
};
SvgCustomCardIcon.__docgenInfo = {
  "description": "",
  "methods": [],
  "displayName": "SvgCustomCardIcon"
};
var CustomCardIcon = SvgCustomCardIcon;

module.exports = CustomCardIcon;
